## linux-meta 2.6.22.14.21+1tomoyo4

=== debian/changelog ===
linux-meta (2.6.22.14.21+1tomoyo4) gutsy-experimental; urgency=low

  * fix some bugs in control.common.

 -- Fumihito YOSHIDA <hito@kugutsu.org>  Mon, 31 Dec 2007 18:32:03 +0900
