=== debian/control ===
Source: linux-meta
Section: devel
Priority: optional
Maintainer: Fumihito YOSHIDA <hito@kugutsu.org>
Standards-Version: 3.6.1
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 3)

Package: linux-headers-ccs
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-ccs
Description: TOMOYO Linux kernel headers for Live CD
 This package will always depend on the latest ccs kernel headers
 available.

Package: linux-image-ccs
Architecture: i386 amd64
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-ccs, linux-ubuntu-modules-${kernel-abi-version}-ccs
Description: TOMOYO Linux kernel image for Live CD
 This package will always depend on the latest ccs kernel image
 available.

Package: linux-restricted-modules-ccs
Architecture: i386 amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-ccs
Description: Restricted Linux modules for ccs kernels for Live CD
 This package will always depend on the latest restricted modules available
 for ccs kernels.

Package: linux-ccs
Architecture: i386 amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-image-ccs, linux-restricted-modules-ccs
Description: Complete TOMOYO Linux kernel for Live CD
 This package will always depend on the latest complete ccs Linux kernel
 available.

Package: linux-backports-modules-ccs
Architecture: amd64 i386
Depends: linux-backports-modules-${kernel-abi-version}-ccs
Description: Backported drivers for ccs kernel image for Live CD
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-image-debug-ccs
Architecture: amd64 i386
Section: devel
Depends: linux-image-debug-${kernel-abi-version}-ccs
Description: Linux kernel debug image for ccs kernel image for Live CD
 This package will always depend on the latest ccs kernel debug image.

Package: tomoyo-linux-live
Architecture: i386 amd64
Section: metapackages
Priority: optional
Depends: linux-ccs, tomoyo-ccstools
Recommends: linux-restricted-modules-ccs
Description: TOMOYO Linux meta package for Live CD development.
 TOMOYO Linux is a yet another MAC (Mandatory Access Control) implementation for Linux, this package is LiveCD specific version. It will be removed by first update.

Package: linux-headers-tomoyo1.5.2
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-tomoyo1.5.2
Description: TOMOYO Linux kernel headers
 This package will always depend on the latest tomoyo1.5.2 kernel headers
 available.

Package: linux-image-tomoyo1.5.2
Architecture: i386 amd64
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-tomoyo1.5.2, linux-ubuntu-modules-${kernel-abi-version}-tomoyo1.5.2
Description: TOMOYO Linux kernel image
 This package will always depend on the latest tomoyo1.5.2 kernel image
 available.

Package: linux-restricted-modules-tomoyo1.5.2
Architecture: i386 amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-tomoyo1.5.2
Description: Restricted Linux modules for tomoyo1.5.2 kernels
 This package will always depend on the latest restricted modules available
 for tomoyo1.5.2 kernels.

Package: linux-tomoyo1.5.2
Architecture: i386 amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-image-tomoyo1.5.2, linux-restricted-modules-tomoyo1.5.2
Description: Complete TOMOYO Linux kernel
 This package will always depend on the latest complete tomoyo1.5.2 Linux kernel
 available.

Package: linux-backports-modules-tomoyo1.5.2
Architecture: amd64 i386
Depends: linux-backports-modules-${kernel-abi-version}-tomoyo1.5.2
Description: Backported drivers for tomoyo1.5.2 kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-image-debug-tomoyo1.5.2
Architecture: amd64 i386
Section: devel
Depends: linux-image-debug-${kernel-abi-version}-tomoyo1.5.2
Description: Linux kernel debug image for tomoyo1.5.2 kernel image
 This package will always depend on the latest tomoyo1.5.2 kernel debug image.

Package: tomoyo-linux
Architecture: i386 amd64
Section: metapackages
Priority: optional
Conflicts: tomoyo-linux-live
Replaces: tomoyo-linux-live
Depends: linux-tomoyo1.5.2, tomoyo-ccstools
Description: TOMOYO Linux meta package.
 TOMOYO Linux is a yet another MAC (Mandatory Access Control) implementation for Linux.
