## linux-meta 2.6.22.16.23

=== debian/changelog ===
linux-meta (2.6.22.16.23) gutsy; urgency=low

  * ABI bump to -16 by security update.

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 24 Nov 2008 18:47:51 +0100

linux-meta (2.6.22.15.22) gutsy-security; urgency=low

  * ABI bump for -15.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 18 Jun 2008 11:53:21 -0600
