=== debian/control ===
Source: linux-meta
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 3)

Package: linux
Architecture: i386 amd64 sparc ia64 lpia
Section: restricted/metapackages
Priority: optional
Depends: linux-image, linux-restricted-modules
Description: Generic complete Linux kernel.
 This package will always depend on the latest generic complete Linux kernel
 available.

Package: linux-image
Architecture: i386 amd64 sparc ia64 lpia
Section: metapackages
Priority: optional
Depends: linux-image-${generic-depends}
Description: Generic Linux kernel image.
 This package will always depend on the latest generic Linux kernel image
 available.

Package: linux-restricted-modules
Architecture: i386 amd64 sparc ia64 lpia
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-${generic-depends}
Description: Generic Linux restricted modules.
 This package will always depend on the latest generic Linux restricted
 modules available.

Package: linux-backports-modules
Architecture: i386 amd64 sparc ia64 lpia
Section: metapackages
Priority: optional
Depends: linux-backports-modules-${generic-depends}
Description: Generic Linux backported drivers.
 This package will always depend on the latest generic Linux backported
 drivers available.

Package: avm-fritz-firmware
Architecture: i386 amd64
Section: restricted/misc
Priority: optional
Depends: avm-fritz-firmware-${kernel-abi-version}
Description: Firmware for AVM Fritz! ISDN hardware
 This package will always depend on the firmware package for the latest
 complete Linux kernel available.

Package: linux-source
Architecture: all
Section: devel
Priority: optional
Depends: linux-source-${kernel-version}
Description: Linux kernel source with Ubuntu patches
 This package will always depend on the latest Linux kernel source code
 available. The Ubuntu patches have been applied.

Package: linux-doc
Architecture: all
Section: doc
Priority: optional
Depends: linux-doc-${kernel-version}
Description: Linux kernel documentation
 This package will always depend on the latest Linux kernel documentation
 available.

Package: linux-headers-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-generic
Description: Generic Linux kernel headers
 This package will always depend on the latest generic kernel headers
 available.

Package: linux-image-generic
Architecture: i386 amd64
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-generic, linux-ubuntu-modules-${kernel-abi-version}-generic
Description: Generic Linux kernel image
 This package will always depend on the latest generic kernel image
 available.

Package: linux-restricted-modules-generic
Architecture: i386 amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-generic
Description: Restricted Linux modules for generic kernels
 This package will always depend on the latest restricted modules available
 for generic kernels.

Package: linux-generic
Architecture: i386 amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-image-generic, linux-restricted-modules-generic
Description: Complete Generic Linux kernel
 This package will always depend on the latest complete generic Linux kernel
 available.

Package: linux-backports-modules-generic
Architecture: amd64 i386
Depends: linux-backports-modules-${kernel-abi-version}-generic
Description: Backported drivers for generic kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-image-debug-generic
Architecture: amd64 i386
Section: devel
Depends: linux-image-debug-${kernel-abi-version}-generic
Description: Linux kernel debug image for generic kernel image
 This package will always depend on the latest generic kernel debug image.

Package: linux-hppa32
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-image-hppa32 (= ${binary:Version}), linux-restricted-modules-hppa32 (= ${binary:Version})
Description: Complete Linux kernel on 32-bit PA-RISC.
 This package will always depend on the latest complete Linux kernel available
 for 32-bit PA-RISC.

Package: linux-restricted-modules-hppa32
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-hppa32
Description: Restricted Linux modules on 32-bit PA-RISC.
 This package will always depend on the latest restricted modules available
 for 32-bit PA-RISC.

Package: linux-backports-modules-hppa32
Architecture: hppa
Depends: linux-backports-modules-${kernel-abi-version}-hppa32
Description: Backported drivers for hppa32 kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-headers-hppa32
Architecture: hppa
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-hppa32
Description: Linux kernel headers on 32-bit PA-RISC
 This package will always depend on the latest kernel headers available
 for 32-bit PA-RISC.

Package: linux-image-hppa32
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-hppa32, linux-ubuntu-modules-${kernel-abi-version}-hppa32
Description: Linux kernel image on 32-bit PA-RISC
 This package will always depend on the latest kernel image available
 for 32-bit PA-RISC.

Package: linux-hppa64
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-image-hppa64 (= ${binary:Version}), linux-restricted-modules-hppa64 (= ${binary:Version})
Description: Complete Linux kernel on 64-bit PA-RISC.
 This package will always depend on the latest complete Linux kernel available
 for 64-bit PA-RISC.

Package: linux-restricted-modules-hppa64
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-hppa64
Description: Restricted Linux modules on 64-bit PA-RISC.
 This package will always depend on the latest restricted modules available
 for 64-bit PA-RISC.

Package: linux-backports-modules-hppa64
Architecture: hppa
Depends: linux-backports-modules-${kernel-abi-version}-hppa64
Description: Backported drivers for hppa64 kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-headers-hppa64
Architecture: hppa
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-hppa64
Description: Linux kernel headers on 64-bit PA-RISC
 This package will always depend on the latest kernel headers available
 for 64-bit PA-RISC.

Package: linux-image-hppa64
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-hppa64, linux-ubuntu-modules-${kernel-abi-version}-hppa64
Description: Linux kernel image on 64-bit PA-RISC
 This package will always depend on the latest kernel image available
 for 64-bit PA-RISC.

Package: linux-headers-386
Architecture: i386
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-386
Description: Linux kernel headers on 386
 This package will always depend on the latest kernel headers available
 for 386.

Package: linux-image-386
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-386, linux-ubuntu-modules-${kernel-abi-version}-386
Description: Linux kernel image on 386.
 This package will always depend on the latest kernel image available
 for 386.

Package: linux-restricted-modules-386
Architecture: i386
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-386
Description: Restricted Linux modules on 386.
 This package will always depend on the latest restricted modules available
 for 386.

Package: linux-backports-modules-386
Architecture: i386
Depends: linux-backports-modules-${kernel-abi-version}-386
Description: Backported drivers for 386 kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-386
Architecture: i386
Section: restricted/metapackages
Priority: optional
Depends: linux-image-386 (= ${binary:Version}), linux-restricted-modules-386 (= ${binary:Version})
Description: Complete Linux kernel on 386.
 This package will always depend on the latest complete Linux kernel available
 for 386.

Package: linux-headers-virtual
Architecture: i386
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-virtual
Description: Linux kernel headers for the virtual flavour
 This package will always depend on the latest kernel headers available
 for the virtual flavour.

Package: linux-image-virtual
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-virtual, linux-ubuntu-modules-${kernel-abi-version}-virtual
Description: Linux kernel image geared towards virtualised hardware
 This package will always depend on the latest kernel image available
 for virtualised hardware. (You can also use the generic kernel image on
 such systems.)

Package: linux-backports-modules-virtual
Architecture: i386
Depends: linux-backports-modules-${kernel-abi-version}-virtual
Description: Backported drivers for virtual kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-virtual
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-image-virtual (= ${binary:Version})
Description: Complete Linux kernel geared towards virtualised hardware
 This package will always depend on the latest complete Linux kernel
 available for virtualised hardware. (You can also use the generic kernel on
 such systems.)

Package: linux-image-debug-386
Architecture: i386
Section: devel
Depends: linux-image-debug-${kernel-abi-version}-386
Description: Linux kernel debug image for 386 kernel image
 This package will always depend on the latest 386 kernel debug image.

Package: linux-itanium
Architecture: ia64
Section: metapackages
Priority: optional
Depends: linux-image-itanium (= ${binary:Version}), linux-restricted-modules-itanium (= ${binary:Version})
Description: Complete Linux kernel on Itanium.
 This package will always depend on the latest complete Linux kernel available
 for Itanium.

Package: linux-restricted-modules-itanium
Architecture: ia64
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-itanium
Description: Restricted Linux modules on Itanium
 This package will always depend on the latest restricted modules available
 for Itanium.

Package: linux-backports-modules-itanium
Architecture: ia64
Depends: linux-backports-modules-${kernel-abi-version}-itanium
Description: Backported drivers for itanium kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-headers-itanium
Architecture: ia64
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-itanium
Description: Linux kernel headers on Itanium
 This package will always depend on the latest kernel headers available
 for Itanium.

Package: linux-image-itanium
Architecture: ia64
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-itanium, linux-ubuntu-modules-${kernel-abi-version}-itanium
Description: Linux kernel image on Itanium
 This package will always depend on the latest kernel image available
 for Itanium.

Package: linux-mckinley
Architecture: ia64
Section: metapackages
Priority: optional
Depends: linux-image-mckinley (= ${binary:Version}), linux-restricted-modules-mckinley (= ${binary:Version})
Description: Complete Linux kernel on Itanium II.
