## linux-meta 2.6.24.16.18

=== debian/changelog ===
linux-meta (2.6.24.16.18) hardy; urgency=low

  * Bump ABI to -16

  [Daniel Hahler]

  * Fix references to "rt" in "xen" descriptions.

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 08 Apr 2008 12:27:04 -0600

linux-meta (2.6.24.15.17) hardy; urgency=low

  * Bump ABI to -15
  * Extract ABI from debian/changelog.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 03 Apr 2008 14:43:41 -0600

linux-meta (2.6.24.14.16) hardy; urgency=low

  * Forgot to change the ABI in debian/rules.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 02 Apr 2008 09:50:55 -0600

linux-meta (2.6.24.14.15) hardy; urgency=low

  * Bump ABI to -14
  * Added openvz to i386/amd64 meta dependencies.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 02 Apr 2008 09:28:58 -0600

linux-meta (2.6.24.12.14) hardy; urgency=low

  * Removed dependency to linux-restricted-modules from virtual.
  * Fixed description for virtual.

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 14 Mar 2008 12:32:07 -0400

linux-meta (2.6.24.12.13) hardy; urgency=low

  * Add cell => powerpc64-smp upgrade path

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 11 Mar 2008 09:52:14 -0400

linux-meta (2.6.24.12.12) hardy; urgency=low

  * Add dapper upgrade meta packages for 686, k7,
    amd64-{generic,server,k8,xeon}
    LP: #195212

 -- Ben Collins <bcollins@ubuntu.com>  Mon, 10 Mar 2008 10:22:34 -0400

linux-meta (2.6.24.12.11) hardy; urgency=low

  * Bump ABI to -12

 -- Ben Collins <bcollins@ubuntu.com>  Sun, 09 Mar 2008 14:37:33 -0400

linux-meta (2.6.24.11.10) hardy; urgency=low

  * 11.9 did not contain the fixes for linux-backports-modules package naming. Oops.

 -- Tim Gardner <tim.gardner@canonical.com>  Sat,  1 Mar 2008 10:17:52 -0700

linux-meta (2.6.24.11.9) hardy; urgency=low

  * Bumped ABI to 11.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 29 Feb 2008 07:31:53 -0700

linux-meta (2.6.24.10.8) hardy; urgency=low

  * Bumped ABI to 10. 9 never saw the light of day.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 22 Feb 2008 08:09:40 -0700

linux-meta (2.6.24.8.8) hardy; urgency=low

  * Kernel ABI bump (to -8).

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 11 Feb 2008 16:35:59 -0700

linux-meta (2.6.24.7.7) hardy; urgency=low

  * Kernel ABI bump (to -7). Skipped (-6)
    because of total FTBS.
  * Removed -hardy- from linux-backports-modules name dependencies.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu,  7 Feb 2008 08:53:04 -0700

linux-meta (2.6.24.5.6) hardy; urgency=low

  * Kernel ABI bump (to -5).

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 24 Jan 2008 11:26:25 -0700

linux-meta (2.6.24.4.5) hardy; urgency=low

  * Added -rt meta dependencies

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 17 Jan 2008 08:30:49 -0700

linux-meta (2.6.24.4.4) hardy; urgency=low

  * Kernel ABI bump (to -4).

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 15 Jan 2008 10:34:21 +0100

linux-meta (2.6.24.3.3) hardy; urgency=low

  * Kernel ABI bump to -3

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 04 Jan 2008 11:39:27 -0700

linux-meta (2.6.24.2.2) hardy; urgency=low

  * Tighten dependencies between metapackages further.  All dependencies
    should now be versioned, either by the metapackage version number or the
    kernel abi version number.  This prevents linux-restricted-modules from
    going MIA during upgrades when things are out of sync

    debian/control.common:
    - linux depends on matching linux-image and linux-restricted-modules
    - linux-image likewise
    - linux-restricted-modules likewise
    - linux-modules-backports-RELEASE_NAME likewise
    debian/control.d/generic:
    - linux-generic likewise
    debian/control:
    - Regenerate

  * Rename ${generic-depends} to ${generic-flavour} as it's just a string
    name, not a full dependency clause

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 19 Dec 2007 11:46:56 +0000

linux-meta (2.6.24.2.1) hardy; urgency=low

  * First Hardy release, ABI==2
  * Renamed linux-backports-modules to break the upgrade dependencies
    from Gutsy to Hardy.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 17 Dec 2007 07:37:41 -0700
