=== debian/control ===
Source: linux-meta
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 3), gawk

Package: linux
Architecture: i386 amd64 sparc ia64 lpia
Section: restricted/metapackages
Priority: optional
Depends: linux-image (= ${binary:Version}), linux-restricted-modules (= ${binary:Version})
Description: Generic complete Linux kernel.
 This package will always depend on the latest generic complete Linux kernel
 available.

Package: linux-image
Architecture: i386 amd64 sparc ia64 lpia
Section: metapackages
Priority: optional
Depends: linux-image-${generic-depends} (= ${binary:Version})
Description: Generic Linux kernel image.
 This package will always depend on the latest generic Linux kernel image
 available.

Package: linux-restricted-modules
Architecture: i386 amd64 sparc ia64 lpia
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-${generic-depends} (= ${binary:Version})
Description: Generic Linux restricted modules.
 This package will always depend on the latest generic Linux restricted
 modules available.

Package: linux-backports-modules-hardy
Architecture: i386 amd64 sparc ia64 lpia
Section: metapackages
Priority: optional
Depends: linux-backports-modules-hardy-${generic-depends} (= ${binary:Version})
Description: Generic Linux backported drivers.
 This package will always depend on the latest generic Linux backported
 drivers available.

Package: avm-fritz-firmware
Architecture: i386 amd64
Section: restricted/misc
Priority: optional
Depends: avm-fritz-firmware-${kernel-abi-version}
Description: Firmware for AVM Fritz! ISDN hardware
 This package will always depend on the firmware package for the latest
 complete Linux kernel available.

Package: linux-source
Architecture: all
Section: devel
Priority: optional
Depends: linux-source-${kernel-version}
Description: Linux kernel source with Ubuntu patches
 This package will always depend on the latest Linux kernel source code
 available. The Ubuntu patches have been applied.

Package: linux-doc
Architecture: all
Section: doc
Priority: optional
Depends: linux-doc-${kernel-version}
Description: Linux kernel documentation
 This package will always depend on the latest Linux kernel documentation
 available.

Package: linux-headers-686
Architecture: i386
Section: devel
Priority: optional
Depends: linux-headers-generic
Description: Upgrade dummy package. Can be removed

Package: linux-image-686
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-image-generic
Description: Upgrade dummy package. Can be removed

Package: linux-restricted-modules-686
Architecture: i386
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-generic
Description: Upgrade dummy package. Can be removed

Package: linux-686
Architecture: i386
Section: restricted/metapackages
Priority: optional
Depends: linux-generic
Description: Upgrade dummy package. Can be removed

Package: linux-headers-amd64-generic
Architecture: amd64
Section: devel
Priority: optional
Depends: linux-headers-generic
Description: Upgrade dummy package. Can be removed

Package: linux-image-amd64-generic
Architecture: amd64
Section: metapackages
Priority: optional
Depends: linux-image-generic
Description: Upgrade dummy package. Can be removed

Package: linux-restricted-modules-amd64-generic
Architecture: amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-generic
Description: Upgrade dummy package. Can be removed

Package: linux-amd64-generic
Architecture: amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-generic
Description: Upgrade dummy package. Can be removed

Package: linux-headers-amd64-k8
Architecture: amd64
Section: devel
Priority: optional
Depends: linux-headers-generic
Description: Upgrade dummy package. Can be removed

Package: linux-image-amd64-k8
Architecture: amd64
Section: metapackages
Priority: optional
Depends: linux-image-generic
Description: Upgrade dummy package. Can be removed

Package: linux-restricted-modules-amd64-k8
Architecture: amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-generic
Description: Upgrade dummy package. Can be removed

Package: linux-amd64-k8
Architecture: amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-generic
Description: Upgrade dummy package. Can be removed

Package: linux-headers-amd64-server
Architecture: amd64
Section: devel
Priority: optional
Depends: linux-headers-server
Description: Upgrade dummy package. Can be removed

Package: linux-image-amd64-server
Architecture: amd64
Section: metapackages
Priority: optional
Depends: linux-image-server
Description: Upgrade dummy package. Can be removed

Package: linux-restricted-modules-amd64-server
Architecture: amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-server
Description: Upgrade dummy package. Can be removed

Package: linux-amd64-server
Architecture: amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-server
Description: Upgrade dummy package. Can be removed

Package: linux-headers-amd64-xeon
Architecture: amd64
Section: devel
Priority: optional
Depends: linux-headers-generic
Description: Upgrade dummy package. Can be removed

Package: linux-image-amd64-xeon
Architecture: amd64
Section: metapackages
Priority: optional
Depends: linux-image-generic
Description: Upgrade dummy package. Can be removed

Package: linux-restricted-modules-amd64-xeon
Architecture: amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-generic
Description: Upgrade dummy package. Can be removed

Package: linux-amd64-xeon
Architecture: amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-generic
Description: Upgrade dummy package. Can be removed

Package: linux-headers-k7
Architecture: i386
Section: devel
Priority: optional
Depends: linux-headers-generic
Description: Upgrade dummy package. Can be removed

Package: linux-image-k7
Architecture: i386
Section: metapackages
Priority: optional
Depends: linux-image-generic
Description: Upgrade dummy package. Can be removed

Package: linux-restricted-modules-k7
Architecture: i386
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-generic
Description: Upgrade dummy package. Can be removed

Package: linux-k7
Architecture: i386
Section: restricted/metapackages
Priority: optional
Depends: linux-generic
Description: Upgrade dummy package. Can be removed

Package: linux-headers-generic
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-generic
Description: Generic Linux kernel headers
 This package will always depend on the latest generic kernel headers
 available.

Package: linux-image-generic
Architecture: i386 amd64
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-generic, linux-ubuntu-modules-${kernel-abi-version}-generic
Description: Generic Linux kernel image
 This package will always depend on the latest generic kernel image
 available.

Package: linux-restricted-modules-generic
Architecture: i386 amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-generic
Description: Restricted Linux modules for generic kernels
 This package will always depend on the latest restricted modules available
 for generic kernels.

Package: linux-generic
Architecture: i386 amd64
Section: restricted/metapackages
Priority: optional
Depends: linux-image-generic (= ${binary:Version}), linux-restricted-modules-generic (= ${binary:Version})
Description: Complete Generic Linux kernel
 This package will always depend on the latest complete generic Linux kernel
 available.

Package: linux-backports-modules-hardy-generic
Architecture: amd64 i386
Depends: linux-backports-modules-${kernel-abi-version}-generic
Description: Backported drivers for generic kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-image-debug-generic
Architecture: amd64 i386
Section: devel
Depends: linux-image-debug-${kernel-abi-version}-generic
Description: Linux kernel debug image for generic kernel image
 This package will always depend on the latest generic kernel debug image.

Package: linux-headers-cell
Architecture: powerpc
Section: devel
Priority: optional
Depends: linux-headers-powerpc64-smp
Description: Upgrade dummy package. Can be removed

Package: linux-image-cell
Architecture: powerpc
Section: metapackages
Priority: optional
Depends: linux-image-powerpc64-smp
Description: Upgrade dummy package. Can be removed

Package: linux-cell
Architecture: powerpc
Section: restricted/metapackages
Priority: optional
Depends: linux-powerpc64-smp
Description: Upgrade dummy package. Can be removed

Package: linux-hppa32
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-image-hppa32 (= ${binary:Version}), linux-restricted-modules-hppa32 (= ${binary:Version})
Description: Complete Linux kernel on 32-bit PA-RISC.
 This package will always depend on the latest complete Linux kernel available
 for 32-bit PA-RISC.

Package: linux-restricted-modules-hppa32
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-hppa32
Description: Restricted Linux modules on 32-bit PA-RISC.
 This package will always depend on the latest restricted modules available
 for 32-bit PA-RISC.

Package: linux-backports-modules-hardy-hppa32
Architecture: hppa
Depends: linux-backports-modules-${kernel-abi-version}-hppa32
Description: Backported drivers for hppa32 kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-headers-hppa32
Architecture: hppa
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-hppa32
Description: Linux kernel headers on 32-bit PA-RISC
 This package will always depend on the latest kernel headers available
 for 32-bit PA-RISC.

Package: linux-image-hppa32
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-image-${kernel-abi-version}-hppa32, linux-ubuntu-modules-${kernel-abi-version}-hppa32
Description: Linux kernel image on 32-bit PA-RISC
 This package will always depend on the latest kernel image available
 for 32-bit PA-RISC.

Package: linux-hppa64
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-image-hppa64 (= ${binary:Version}), linux-restricted-modules-hppa64 (= ${binary:Version})
Description: Complete Linux kernel on 64-bit PA-RISC.
 This package will always depend on the latest complete Linux kernel available
 for 64-bit PA-RISC.

Package: linux-restricted-modules-hppa64
Architecture: hppa
Section: metapackages
Priority: optional
Depends: linux-restricted-modules-${kernel-abi-version}-hppa64
Description: Restricted Linux modules on 64-bit PA-RISC.
 This package will always depend on the latest restricted modules available
 for 64-bit PA-RISC.

Package: linux-backports-modules-hardy-hppa64
Architecture: hppa
Depends: linux-backports-modules-${kernel-abi-version}-hppa64
Description: Backported drivers for hppa64 kernel image
 This empty package allows people to keep their backported modules
 up-to-date when upgrading their Linux kernel.

Package: linux-headers-hppa64
Architecture: hppa
Section: devel
Priority: optional
Depends: linux-headers-${kernel-abi-version}-hppa64
Description: Linux kernel headers on 64-bit PA-RISC
 This package will always depend on the latest kernel headers available
 for 64-bit PA-RISC.

Package: linux-image-hppa64
Architecture: hppa
Section: metapackages
Priority: optional
