=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,9 @@
 # Copyright (c) 2004 Jens Schmalzing <jensen@debian.org>
 #
 
-KERNEL_VERSION=2.6.22
-KERNEL_ABI=16
+RELEASE_NAME=hardy
+KERNEL_VERSION=2.6.24
+KERNEL_ABI=$(shell head -n1 < debian/changelog | gawk '{n=split($$0,v,"."); print v[4];}')
 KERNEL_ABI_VERSION=$(KERNEL_VERSION)-$(KERNEL_ABI)
 
 GENERIC_i386=generic
@@ -30,15 +31,16 @@
 build:
 	dh_testdir
 
-clean:
+clean: debian/control
 	dh_testdir
 	dh_testroot
 	dh_clean
+	rm -rf linux-*
 
 debian/control: $(control_files)
 	rm -f debian/control.tmp
 	for i in $^; do \
-		cat $$i >> debian/control.tmp; \
+		sed 's/RELEASE_NAME/$(RELEASE_NAME)/g' $$i >> debian/control.tmp; \
 		echo >> debian/control.tmp; \
 	done
 	rm -f $@
@@ -48,6 +50,10 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+
+gencontrol_flags = -Vkernel-version=$(KERNEL_VERSION)
+gencontrol_flags += -Vkernel-abi-version=$(KERNEL_ABI_VERSION)
+gencontrol_flags += -Vgeneric-depends=$(GENERIC_DEP)
 
 # Build architecture-independent files here.
 binary-indep: debian/control install
@@ -60,10 +66,7 @@
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
-	dh_gencontrol -i -- \
-		-Vkernel-version=$(KERNEL_VERSION) \
-		-Vkernel-abi-version=$(KERNEL_ABI_VERSION) \
-		-Vgeneric-depends=$(GENERIC_DEP)
+	dh_gencontrol -i -- $(gencontrol_flags)
 	dh_md5sums -i
 	dh_builddeb -i
 
@@ -78,10 +81,7 @@
 	dh_compress -s
 	dh_fixperms -s
 	dh_installdeb -s
-	dh_gencontrol -s -- \
-		-Vkernel-version=$(KERNEL_VERSION) \
-		-Vkernel-abi-version=$(KERNEL_ABI_VERSION) \
-		-Vgeneric-depends=$(GENERIC_DEP)
+	dh_gencontrol -s -- $(gencontrol_flags)
 	dh_md5sums -s
 	dh_builddeb -s
