## linux-meta 2.6.24.19.21

=== debian/changelog ===
linux-meta (2.6.24.19.21) hardy-proposed; urgency=low

  * ABI bump to -19

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 04 Jun 2008 10:36:32 -0600

linux-meta (2.6.24.18.20) hardy-security; urgency=low

  * ABI bump to -18

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 30 May 2008 11:22:12 -0600

linux-meta (2.6.24.17.19) hardy-proposed; urgency=low

  [Stefan Bader]

  * Remove linux-restricted-modules-amd64-server meta package.
  * Add linux-restricted-modules-server meta package.
  * Change descriptions for openvz and xen in the source files.

  [Tim Gardner]

  * Bump ABI to -17

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 18 Apr 2008 14:59:42 +0000
