=== debian/control ===
--- 
+++ 
@@ -164,13 +164,6 @@
 Section: metapackages
 Priority: optional
 Depends: linux-image-server
-Description: Upgrade dummy package. Can be removed
-
-Package: linux-restricted-modules-amd64-server
-Architecture: amd64
-Section: restricted/metapackages
-Priority: optional
-Depends: linux-restricted-modules-server
 Description: Upgrade dummy package. Can be removed
 
 Package: linux-amd64-server
@@ -388,3 +381,10 @@
 Architecture: hppa
 Section: metapackages
 Priority: optional
+Depends: linux-image-${kernel-abi-version}-hppa64, linux-ubuntu-modules-${kernel-abi-version}-hppa64
+Description: Linux kernel image on 64-bit PA-RISC
+ This package will always depend on the latest kernel image available
+ for 64-bit PA-RISC.
+
+Package: linux-headers-386
+Architecture: i386
