## linux-meta 2.6.24.22.24-0netbook1

=== debian/changelog ===
linux-meta (2.6.24.22.24-0netbook1) hardy; urgency=low

  * Drop lpiacompat, we no longer ship an lpiacompat kernel

 -- Steve Magoun <steve.magoun@canonical.com>  Fri, 12 Dec 2008 07:00:13 -0800

linux-meta (2.6.24.22.24) hardy-security; urgency=low

  * ABI bump to -22 by security update.

 -- Stefan Bader <stefan.bader@canonical.com>  Mon, 24 Nov 2008 19:51:40 +0100

linux-meta (2.6.24.21.23) hardy-proposed; urgency=low

  * ABI bump to -21

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 14 Aug 2008 09:00:08 -0600

linux-meta (2.6.24.20.22) hardy-proposed; urgency=low

  * ABI bump to -20

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 18 Jul 2008 13:45:00 -0400
