## linux-meta 2.6.24.24.26-0netbook1

=== debian/changelog ===
linux-meta (2.6.24.24.26-0netbook1) netbook-common; urgency=low

  * debian/control:
    debian/control.d/lpia:
    - Drop lpiacompat, we no longer build an lpiacompat kernel

 -- Steve Magoun <steve.magoun@canonical.com>  Fri, 17 Apr 2009 15:36:58 -0400

linux-meta (2.6.24.24.26) hardy-proposed; urgency=low

  * ABI bump to -24 by proposed update

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 18 Feb 2009 19:11:18 +0100

linux-meta (2.6.24.23.25) hardy-proposed; urgency=low

  * ABI bump to -23 by proposed update.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 26 Nov 2008 12:46:20 +0100
