## linux-meta 2.6.24.27.29-0netbook1

=== debian/changelog ===
linux-meta (2.6.24.27.29-0netbook1) netbook-common; urgency=low

  * Merge with upstream -27 package. Remaining changes:
    - Drop lpiacompat, we no longer build an lpiacompat kernel

 -- Steve Magoun <steve.magoun@canonical.com>  Wed, 17 Feb 2010 18:04:28 -0500

linux-meta (2.6.24.27.29) hardy-security; urgency=low

  * ABI bump to -27 by security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 25 Jan 2010 12:12:48 -0800

linux-meta (2.6.24.26.28) hardy-security; urgency=low

  * ABI bump to -26 by security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Tue, 01 Dec 2009 00:36:05 -0800

linux-meta (2.6.24.25.27-0netbook1) netbook-common; urgency=low

  * Update to 2.6.24.25.27. Remaining changes:
    - Drop lpiacompat, we no longer build an lpiacompat kernel

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 28 Jan 2010 16:49:59 -0500

linux-meta (2.6.24.25.27) hardy-security; urgency=low

  * ABI bump to -25 by security update

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Mon, 12 Oct 2009 13:32:12 -0700
