## linux-meta 2.6.24.28.30-0netbook1

=== debian/changelog ===
linux-meta (2.6.24.28.30-0netbook1) netbook-common; urgency=low

  * ABI bump to -28

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 11 Nov 2010 13:29:44 +0800
