## linux-meta 2.6.24.29.31-0netbook1

=== debian/changelog ===
linux-meta (2.6.24.29.31-0netbook1) netbook-common; urgency=low

  * ABI bump to -29

 -- Ike Panhc <ike.pan@canonical.com>  Thu, 05 May 2010 17:35:01 +0800
