## linux-meta 2.6.24.32.34

=== debian/changelog ===
linux-meta (2.6.24.32.34) hardy-proposed; urgency=low

  * ABI bump to -32 by proposed update

 -- Luis Henriques <luis.henriques@canonical.com>  Mon, 02 Jul 2012 14:53:22 +0100

linux-meta (2.6.24.31.33) hardy-proposed; urgency=low

  * ABI bump to -31 by proposed update

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 14 Feb 2012 10:46:03 -0200

linux-meta (2.6.24.30.32) hardy-proposed; urgency=low

  * ABI bump to -30 by proposed update

 -- Herton Ronaldo Krzesinski <herton.krzesinski@canonical.com>  Tue, 08 Nov 2011 12:40:24 -0200

linux-meta (2.6.24.29.31) hardy-proposed; urgency=low

  * ABI bump to -29 by proposed update

 -- Steve Conklin <sconklin@canonical.com>  Fri, 25 Feb 2011 12:53:32 +0600

linux-meta (2.6.24.28.30) hardy-security; urgency=low

  * ABI bump to -28 by security update

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 07 May 2010 13:39:00 +0000
